Package fr.gouv.vitam.functional.administration.common

# Class ErrorReportOntologies

java.lang.Object
fr.gouv.vitam.functional.administration.common.ErrorReportOntologies

public class ErrorReportOntologies extends Object
error report for generate error Report when some think is wrong in importing ontologies referential This class contain code in vitam-error-messages.properties, the line of the error, Object in error to import and some missingInformations for the import

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ErrorReportOntologies()`
  `ErrorReportOntologies(OntologyErrorCode code, String fieldName, String message, OntologyModel ontologyModel)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `OntologyErrorCode`
  `getCode()`
  `String`
  `getFieldName()`
  `String`
  `getMessage()`
  `OntologyModel`
  `getOntologyModel()`
  `void`
  `setCode(OntologyErrorCode code)`
  `void`
  `setFieldName(String fieldName)`
  `void`
  `setMessage(String message)`
  `void`
  `setOntologyModel(OntologyModel ontologyModel)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ErrorReportOntologies

    public ErrorReportOntologies()

  - ### ErrorReportOntologies

    public ErrorReportOntologies(OntologyErrorCode code, String fieldName, String message, OntologyModel ontologyModel)

- ## Method Details

  - ### getMessage

    public String getMessage()

  - ### setMessage

    public void setMessage(String message)

  - ### getCode

    public OntologyErrorCode getCode()

  - ### setCode

    public void setCode(OntologyErrorCode code)

  - ### getOntologyModel

    public OntologyModel getOntologyModel()

  - ### setOntologyModel

    public void setOntologyModel(OntologyModel ontologyModel)

  - ### getFieldName

    public String getFieldName()

  - ### setFieldName

    public void setFieldName(String fieldName)